Module javafx.base
Package javafx.util.converter

## Class DoubleStringConverter

- java.lang.Object
- - javafx.util.StringConverter<Double>
  - - javafx.util.converter.DoubleStringConverter

-     public class DoubleStringConverter
      extends StringConverter<Double>

  `StringConverter` implementation for `Double` (and double primitive) values.

  Since:
    JavaFX 2.1

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DoubleStringConverter()` |

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `Double` | `fromString​(String value)` | Converts the string provided into an object defined by the specific converter.
    `String` | `toString​(Double value)` | Converts the object provided into its string form.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DoubleStringConverter

          public DoubleStringConverter()

  - ### Method Detail

    - #### fromString

          public Double fromString​(String value)

      Converts the string provided into an object defined by the specific converter. Format of the string and type of the resulting object is defined by the specific converter.
      Specified by:
        `fromString` in class `StringConverter<Double>`
      Parameters:
        `value` - the `String` to convert
      Returns:
        an object representation of the string passed in.

    - #### toString

          public String toString​(Double value)

      Converts the object provided into its string form. Format of the returned string is defined by the specific converter.
      Specified by:
        `toString` in class `StringConverter<Double>`
      Parameters:
        `value` - the object of type `T` to convert
      Returns:
        a string representation of the object passed in.